Bug 739184 - Statically-linked binaries that call gethostbyname crash when executed.
Summary: Statically-linked binaries that call gethostbyname crash when executed.
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: glibc
Version: 6.1
Hardware: Unspecified
OS: Unspecified
unspecified
medium
Target Milestone: rc
: ---
Assignee: Andreas Schwab
QA Contact: qe-baseos-tools
URL:
Whiteboard:
Depends On:
Blocks: 743047
TreeView+ depends on / blocked
 
Reported: 2011-09-16 17:48 UTC by Peter Ruprecht
Modified: 2018-11-14 10:51 UTC (History)
5 users (show)

Fixed In Version: glibc-2.12-1.43.el6
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2011-12-06 17:48:17 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2011:1526 normal SHIPPED_LIVE Low: glibc security, bug fix, and enhancement update 2011-12-06 01:02:21 UTC
Red Hat Knowledge Base (Legacy) 66761 None None None Never

Description Peter Ruprecht 2011-09-16 17:48:34 UTC
Description of problem:

Statically-linked programs that call gethostbyname crash when executed.  


Version-Release number of selected component (if applicable):

glibc-2.12-1.25.el6_1.3.x86_64
glibc-static-2.12-1.25.el6_1.3.x86_64


How reproducible:

Always

Steps to Reproduce:
1. Create this program:

#include <netdb.h>

int main(int ac, char **av)
{
 gethostbyname("fedoraproject.org");
 return 0;
}

2. Compile:

gcc -static -o chk-gethost.x chk-gethost.c

3. Execute:

./chk-gethost.x 
Floating exception
  
Actual results:

See above.


Expected results:

Runs without FPE.


Additional info:

This seems to be very similar to the bug reported in https://bugzilla.redhat.com/show_bug.cgi?id=597578 .

Comment 5 errata-xmlrpc 2011-12-06 17:48:17 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

http://rhn.redhat.com/errata/RHSA-2011-1526.html


Note You need to log in before you can comment on or make changes to this bug.